Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008975 [DCSS] Bug Report minor always 2014-09-19 02:23 2016-02-02 17:54
Reporter josh View Status public  
Assigned To Medar
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0008975: Dithmenos objects to spellbooks that contain unobjectionable spells
Description I often encounter spellbooks that Dithmenos objects to, despite containing unobjectionable spells. This doesn't happen with every spellbook that contains objectionable spells (for instance, Dith is fine with the book of the Dragon, even though it has Bolt of Fire), but it does happen with spellbooks containing multiple unobjectionable spells.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028219)
neil (administrator)
2015-01-03 05:23
edited on: 2015-01-03 05:41

The current rule is, if half or more of the spells are disliked, the book is disliked. One problem with changing this is that it would make acquirement more likely to give you books that mostly contain spells your god hates: even if that did become a factor in the book's weight, currently the weight is effectively 0 for such books.

(0028220)
neil (administrator)
2015-01-03 05:39

One possibility might be to add to god_hates_item a parameter bool thoroughly=true, and have acquirement specifically pass in false.
(0028222)
josh (reporter)
2015-01-03 07:15

That seems reasonable; no reason that "highlight as bad" and "cannot acquire" have to use the same criteria.
(0030183)
Medar (developer)
2016-02-02 17:54
edited on: 2016-02-02 18:06

Changed in https://github.com/crawl/crawl/commit/c9b4ecfec0d5 [^]

Acquirement code changed in: https://github.com/crawl/crawl/commit/c4e1e30f6ab8 [^]


- Issue History
Date Modified Username Field Change
2014-09-19 02:23 josh New Issue
2015-01-03 05:23 neil Note Added: 0028219
2015-01-03 05:28 neil Note Edited: 0028219
2015-01-03 05:39 neil Note Added: 0028220
2015-01-03 05:41 neil Note Edited: 0028219
2015-01-03 07:15 josh Note Added: 0028222
2016-02-02 17:54 Medar Note Added: 0030183
2016-02-02 17:54 Medar Status new => resolved
2016-02-02 17:54 Medar Fixed in Branch => 0.18 development branch
2016-02-02 17:54 Medar Resolution open => done
2016-02-02 17:54 Medar Assigned To => Medar
2016-02-02 18:06 Medar Note Edited: 0030183


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker